## org.hibernate.util
Class XMLHelper

    java.lang.Object
      org.hibernate.util.XMLHelper

    public final class XMLHelper

extends Object

Small helper class that lazy loads DOM and SAX reader and keep them for fast use afterwards.

Nested Class Summary
`static class` `XMLHelper.ErrorLogger`

Field Summary
`static EntityResolver` `DEFAULT_DTD_RESOLVER`

Constructor Summary
`XMLHelper()`

Method Summary
`org.dom4j.io.DOMReader` `createDOMReader()` Create a dom4j DOMReader
`org.dom4j.io.SAXReader` `createSAXReader(String file, List errorsList, EntityResolver entityResolver)` Create a dom4j SAXReader which will append all validation errors to errorList
`static void` `dump(org.dom4j.Element element)`
`static org.dom4j.Element` `generateDom4jElement(String elementName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DTD_RESOLVER

    public static final EntityResolver DEFAULT_DTD_RESOLVER

Constructor Detail

### XMLHelper

    public XMLHelper()

Method Detail

### createSAXReader

    public org.dom4j.io.SAXReader createSAXReader(String file,
                                                  List errorsList,
                                                  EntityResolver entityResolver)

  Create a dom4j SAXReader which will append all validation errors to errorList

### createDOMReader

    public org.dom4j.io.DOMReader createDOMReader()

  Create a dom4j DOMReader

### generateDom4jElement

    public static org.dom4j.Element generateDom4jElement(String elementName)

### dump

    public static void dump(org.dom4j.Element element)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.